package router

import (
	"github.com/gin-gonic/gin"
	"kra/internal/server/handler"
)

func RegisterSystemConfig(group *gin.RouterGroup, h *handler.SystemConfig) {
	security := group.Group("/securityConfig")
	security.GET("/getSecurityConfig", h.GetSecurity)
	security.POST("/setSecurityConfig", h.SetSecurity)

	system := group.Group("/system")
	system.POST("/getSystemConfig", h.Get)
	system.POST("/setSystemConfig", h.Set)
	system.POST("/reloadSystem", h.Reload)
	system.POST("/getServerInfo", h.ServerInfo)
}
